SPRAY(8C)

NAME
spray - spray packets

SYNOPSIS
/usr/sbin/spray host [ -c count ] [ -d delay ] [ -i ] [ -l length ] host

DESCRIPTION
spray sends a one-way stream of packets to host using RPC, and reports how many were received, as well as the the transfer rate. The host argument can be either a name or an internet address.

OPTIONS

-c count
    Specify how many packets to send. The default value of count is the numbers of packets required to make the total stream size 100000 bytes.

-d delay
    Specify how may microseconds to pause between sending each packet. The default is 0.

-i  Use ICMP echo packets rather than RPC. Since ICMP automatically echos, this creates a two way stream.

-l length
    The length parameter is the numbers of bytes in the ethernet packet that holds the RPC call message. Since the data is encoded using XDR, and XDR only deals with 32 bit quantities, not all values of length are possible, and spray rounds up to the nearest possible value. When length is greater than 1514, then the RPC call can no longer be encapsulated in one Ethernet packet, so the length field no longer has a simple correspondence to Ethernet packet size. The default value of length is 86 bytes (the size of the RPC and UDP headers)

SEE ALSO
icmp(4P), ping(8C), sprayd(8C)